# -*- coding: utf-8 -*-
from __future__ import division
from ..__load__ import *
import subprocess
import threading
import pyaudio

class Base(threading.Thread):

	def __init__(self, **kwargs):
		super(Base, self).__init__()
		self.logger = Demeter.logger

	def init(self, mouth):
		self.mouth = mouth

	def play(self):
		pass

	def play_block(self):
		pass

	def stop(self):
		pass

	def is_playing(self):
		return False